<?php
/**
 * Created by PhpStorm.
 * User: loyaltysolutions
 * Date: 20/06/2019
 * Time: 2:19 AM
 */

namespace App\Http\Controllers;

use App\Rates;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Schema;

class RatesController extends Controller
{

    public function ListRates(){

        //$city = new City();
        $list_rates = Rates::query()->get();
        return $list_rates->toArray();

    }



    public function convert_to_naira ($rates_array, $base_currency, $base_amount){

        $key = array_search('NGN', array_column($rates_array, 'country'));
        $naira_value = $rates_array[$key]['value'];

        $key2 = array_search('AUD', array_column($rates_array, 'country'));
        $aud_value = $rates_array[$key2]['value'];

        if ($base_currency == 'AUD'){

            $amount = $this->convert_ngn_aud($naira_value, $aud_value, $base_amount);

        } else {


            $key3 = array_search($base_currency, array_column($rates_array, 'country'));
            $base_value = $rates_array[$key3]['value'];

            if ($base_value > 0){

                $amount = $this->convert_from_other($naira_value, $aud_value, $base_value, $base_amount);

            } else {

                $amount = "Invalid amount";
            }
        }

        return $amount;

    }

    private function convert_to_aud ($aud_rate, $base_rate, $base_amount){

        $aud_amount = $base_amount * ($aud_rate / $base_rate);

        return round($aud_amount, 2);


    }

    private function convert_ngn_aud ($ngn_rate, $aud_rate, $aud_amount){

        $ngn_amount = $aud_amount * ($ngn_rate/$aud_rate);

        return round($ngn_amount, 2);

    }

    private function  convert_from_other($ngn_rate, $aud_rate, $base_rate, $base_amount){

        $aud_amount = $this->convert_to_aud($aud_rate, $base_rate, $base_amount);

        $ngn_amount = $this->convert_ngn_aud($ngn_rate, $aud_rate, $aud_amount);

        return $ngn_amount;

    }
}