<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;

class ExternalAccessMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {

        if($request->hasHeader('token')){
            $validate = $this->validateAccount($request->header('token'));
            if($validate->status == 'success') {
                \App\LogActivity::addLog(
                    "",
                    "Access",
                    "Access",
                    "",
                    null,
                    "success",
                    "Token valid",
                    json_encode($request->all()),
                    "",
                    $validate->data->id,
                    $validate->data->name
                );
                return $next($request);
            }
            \App\LogActivity::addLog(
                "",
                "Access",
                "Access",
                "",
                null,
                "fail",
                "Token invalid",
                json_encode($request->all()),
                "",
                null,
                null
            );
            return response()->json(['message' => 'Token invalid']);
        }else{
            \App\LogActivity::addLog(
                "",
                "Access",
                "Access",
                "",
                null,
                "fail",
                "Token invalid",
                json_encode($request->all()),
                "",
                null,
                null
            );
            return response()->json(['message' => 'Token unavailable']);
        }

    }

    private function validateAccount($token){
        $check = DB::table('company')->where('token', $token);
        if($check->exists()){
            return (object)['status' => 'success', 'data' => $check->first()];
        }else{
            return (object)['status' => 'fail', 'data' => []];
        }
    }
}
