<?php
/**
 * Created by PhpStorm.
 * User: loyaltysolutions
 * Date: 16/07/2019
 * Time: 9:06 AM
 */

namespace App\Traits;


use App\Rates;

trait RatesTrait
{
    public function ListRates(){
        $list_rates = Rates::query()->get();
        return $list_rates->toArray();
    }


    public function processPriceOptions($rates, $data, $currency_base){
        $array = [];
        if($data){
            foreach ($data as $item){
                $array[] = (object)[
                  'label' => $item->bp_po_guid,
                  'minAge' => $item->minAge,
                  'maxAge' => $item->maxAge,
                  'price_base' => $item->price,
                  'price' => $this->convert_to_naira($rates,$currency_base,$item->price),
                  'seats_used' => $item->seats_used,
                  'currency_base' => $currency_base,
                ];
            }
        }
        return $array;
    }

    public function convert_to_naira ($rates_array, $base_currency, $base_amount){

        $key = array_search('NGN', array_column($rates_array, 'country'));
        $naira_value = $rates_array[$key]['value'];

        $key2 = array_search('AUD', array_column($rates_array, 'country'));
        $aud_value = $rates_array[$key2]['value'];

        if ($base_currency == 'AUD'){

            $amount = $this->convert_ngn_aud($naira_value, $aud_value, $base_amount);

        } else {


            $key3 = array_search($base_currency, array_column($rates_array, 'country'));
            $base_value = $rates_array[$key3]['value'];

            if ($base_value > 0){

                $amount = $this->convert_from_other($naira_value, $aud_value, $base_value, $base_amount);

            } else {

                $amount = "Invalid amount";
            }
        }

        return $amount;

    }

    private function convert_to_aud ($aud_rate, $base_rate, $base_amount){

        $aud_amount = $base_amount * ($aud_rate / $base_rate);

        return round($aud_amount, 2);


    }

    private function convert_ngn_aud ($ngn_rate, $aud_rate, $aud_amount){

        $ngn_amount = $aud_amount * ($ngn_rate/$aud_rate);

        return round($ngn_amount, 2);

    }

    private function  convert_from_other($ngn_rate, $aud_rate, $base_rate, $base_amount){

        $aud_amount = $this->convert_to_aud($aud_rate, $base_rate, $base_amount);

        $ngn_amount = $this->convert_ngn_aud($ngn_rate, $aud_rate, $aud_amount);

        return $ngn_amount;

    }
}