<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProducts extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('guid');
            $table->string('title');
            $table->string('picture')->nullable();
            $table->longText('description')->nullable();
            $table->string('supplier_name')->nullable();
            $table->string('location_lat')->nullable();
            $table->string('location_lon')->nullable();
            $table->string('city_id');
            $table->string('country_id');
            $table->string('currency_base');
            $table->string('price');
            $table->string('naira_price');
            $table->string('sale_percentage')->nullable();
            $table->string('duration_minutes')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
